PHP Manual
Prev |  | Next

# oci_set_prefetch

(PHP 5)

oci_set_prefetch -- Sets number of rows to be prefetched

## Description

bool oci_set_prefetch ( resource statement [, int rows] )

Sets the number of rows to be prefetched after successful call to oci_execute().

## Parameters

`statement`

`rows`

  The default value for `rows` is 1.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: In PHP versions before 5.0.0 you must use ocisetprefetch() instead. This name still can be used, it was left as alias of oci_set_prefetch() for downwards compatability. This, however, is deprecated and not recommended.

## See Also

oci8_.default_prefetch ini option

Prev | Home | Next
oci_server_version | Up | oci_statement_type